Summary:	Virtual Machine Manager
Summary(pl.UTF-8):	Zarządca maszyn wirtualnych
Name:		virt-manager
Version:	3.2.0
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/Emulators
Source0:	https://releases.pagure.org/virt-manager/%{name}-%{version}.tar.gz
# Source0-md5:	a87507223c32d15eb12e1754404061dc
URL:		http://virt-manager.org/
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	glib2-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	perl-tools-pod
BuildRequires:	python3-devel
BuildRequires:	python3-libvirt >= 0.9.6
BuildRequires:	python3-libxml2 >= 1:2.7.8
BuildRequires:	rpmbuild(macros) >= 1.592
Requires(post,postun):	glib2
Requires(post,postun):	gtk-update-icon-cache
Requires:	gtk+3 >= 3.14
Requires:	gtk3-vnc >= 0.4.3
Requires:	gtksourceview4
Requires:	hicolor-icon-theme
Requires:	libosinfo >= 0.2.10
Requires:	libvirt-glib >= 0.0.9
Requires:	python3-libvirt >= 0.9.6
Requires:	python3-pygobject3 >= 3.14
Requires:	python3-virtinst = %{epoch}:%{version}-%{release}
Requires:	spice-gtk
Requires:	vte >= 0.34
Suggests:	gnome-keyring >= 0.4.9
Suggests:	python3-libguestfs >= 1.12.0
ExclusiveArch:	%{ix86} %{x8664} ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Virtual Machine Manager provides a graphical tool for administering
virtual machines for KVM, Xen, and QEmu. Start, stop, add or remove
virtual devices, connect to a graphical or serial console, and see
resource usage statistics for existing VMs on local or remote
machines. Uses libvirt as the backend management API.

%description -l pl.UTF-8
Virtual Machine Manager udostępnia graficzne narzędzie do
administrowania maszynami wirtualnymi dla środowisk KVM, Xen i QEmu.
Pozwala uruchamiać, zatrzymywać, dodawać i usuwać urządzenia
wirtualne, łączyć się z konsolą graficzną lub szeregową oraz oglądać
statystyki wykorzystania zasobów istniejących maszyn wirtualnych na
maszynach lokalnych i zdalnych. Wykorzystuje libvirt jako API do
zarządzania.

%package -n bash-completion-virt-manager
Summary:	bash-completion for virt-clone, virt-install and virt-xml commands
Summary(pl.UTF-8):	bashowe uzupełnianie parametrów poleceń virt-clone, virt-install i virt-xml
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-virt-manager
Bash-completion for virt-clone, virt-install and virt-xml commands.

%description -n bash-completion-virt-manager -l pl.UTF-8
Bashowe uzupełnianie parametrów polecenń virt-clone, virt-install i
virt-xml.

%package -n python3-virtinst
Summary:	Python modules and utilities for installing virtual machines
Summary(pl.UTF-8):	Moduły Pythona i narzędzia do instalowania maszyn wirtualnych
Group:		Libraries/Python
Requires:	python3-libvirt >= 0.9.6
Requires:	python3-libxml2 >= 1:2.7.8
Requires:	python3-modules
Requires:	python3-requests
Suggests:	python3-selinux
Suggests:	virt-viewer >= 0.0.1
Obsoletes:	python-virtinst < 2.0.0

%description -n python3-virtinst
virtinst is a module that helps build and install libvirt based
virtual machines. Currently supports KVM, QEmu and Xen virtual
machines. Package includes several command line utilities, including
virt-install (build and install new VMs) and virt-clone (clone an
existing virtual machine).

%description -n python3-virtinst -l pl.UTF-8
virtinst to moduł pomagający przy tworzeniu i instalowaniu maszyn
wirtualnych opartych na libvirt. Obecnie obsługiwane są maszyny KVM,
QEmu i Xen. Pakiet zawiera kilka działających z linii poleceń
skryptów, w tym virt-install (tworzący i instalujący nowe VM-y) oraz
virt-clone (klonujący istniejącą maszynę wirtualną).

%prep
%setup -q

%{__sed} -i '1s,/usr/bin/env python3$,%{__python3},' \
	virtManager/virtmanager.py

%build
%{__python3} setup.py \
	configure \
	--prefix=%{_prefix}

%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/kab

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc NEWS.md README.md
%attr(755,root,root) %{_bindir}/virt-manager
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/ui
%dir %{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/virtManager/*.py*
%dir %{_datadir}/%{name}/virtManager/details
%{_datadir}/%{name}/virtManager/details/*.py*
%dir %{_datadir}/%{name}/virtManager/device
%{_datadir}/%{name}/virtManager/device/*.py*
%dir %{_datadir}/%{name}/virtManager/lib
%{_datadir}/%{name}/virtManager/lib/*.py*
%dir %{_datadir}/%{name}/virtManager/object
%{_datadir}/%{name}/virtManager/object/*.py*
%{_datadir}/metainfo/virt-manager.appdata.xml
%{_datadir}/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/virt-manager.png
%{_mandir}/man1/virt-manager.1*

%files -n bash-completion-virt-manager
%defattr(644,root,root,755)
%{bash_compdir}/virt-clone
%{bash_compdir}/virt-install
%{bash_compdir}/virt-xml

%files -n python3-virtinst -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/virt-clone
%attr(755,root,root) %{_bindir}/virt-install
%attr(755,root,root) %{_bindir}/virt-xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/virtinst
%{_datadir}/%{name}/virtinst/build.cfg
%{_datadir}/%{name}/virtinst/*.py*
%dir %{_datadir}/%{name}/virtinst/devices
%{_datadir}/%{name}/virtinst/devices/*.py*
%dir %{_datadir}/%{name}/virtinst/domain
%{_datadir}/%{name}/virtinst/domain/*.py*
%dir %{_datadir}/%{name}/virtinst/install
%{_datadir}/%{name}/virtinst/install/*.py*
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-install.1*
%{_mandir}/man1/virt-xml.1*
%changelog
* Thu Feb 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/virt-manager.git;a=log;h=master

* Sun Jan 10 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c4930d9
- up to 3.2.0

* Thu Jul 04 2019 Jan Palus <atler@pld-linux.org> b3d57b2
- up to 2.2.1

* Mon Jun 17 2019 Jan Palus <atler@pld-linux.org> 11feb5e
- BR: python3-libxml2

* Mon Jun 17 2019 Jan Palus <atler@pld-linux.org> b35a13c
- BR: python3-libvirt; rel 2

* Mon Jun 17 2019 Jan Palus <atler@pld-linux.org> ad8ab6c
- up to 2.2.0

* Mon Feb 04 2019 Jan Palus <atler@pld-linux.org> 012718d
- up to 2.1.0

* Tue Oct 16 2018 Jan Palus <atler@pld-linux.org> e194c97
- up to 2.0.0

* Wed Feb 28 2018 Jan Palus <atler@pld-linux.org> f502ff3
- up to 1.5.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 8d7238a
- up to 1.5.0

* Wed Sep 20 2017 Jan Palus <atler@pld-linux.org> ccd4d7f
- up to 1.4.3

* Tue Aug 15 2017 Jan Palus <atler@pld-linux.org> d52833d
- up to 1.4.2

* Wed Aug 09 2017 Jan Palus <atler@pld-linux.org> bbb0752
- rel 2

* Tue Aug 08 2017 Jan Palus <atler@pld-linux.org> ed33ff0
- updated deps

* Sun Aug 06 2017 Jan Palus <atler@pld-linux.org> 3115fa5
- up to 1.4.1

* Tue May 03 2016 Jan Rękorajski <baggins@pld-linux.org> 2519eaf
- fix python macros
- rel 3

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7490b73
- release 2 (by relup.sh)

* Sat Jun 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 042eb64
- updated to 1.2.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5351482
- updated gettext BR

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> aca426b
- updated to 1.1.0
- removed obsolete git patch
- virt-image tool is gone

* Thu Jun 12 2014 Marcin Krol <hawk@tld-linux.org> 022a737
- upstream fixes, R: libosinfo (by code changes)

